Tyrov
Posts: 6
Joined: Wed Mar 01, 2017 8:29 am

Matplotlib installation problems.

Fri Apr 13, 2018 9:47 am

Hello,

I'm trying to install Matplotlib on a fresh Stretch card. When I use

Code: Select all

sudo apt-get install python3-matplotlib
I get the following:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package python3-matplotlib is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
If I use

Code: Select all

sudo pip3 install matplotlib
it starts downloading but will then give a bunch of red text.

I have no idea what is going on.

User avatar
B.Goode
Posts: 8915
Joined: Mon Sep 01, 2014 4:03 pm
Location: UK

Re: Matplotlib installation problems.

Fri Apr 13, 2018 10:00 am

Try

Code: Select all

sudo apt update
again, followed by

Code: Select all

sudo apt install python3-matplotlib
Alternatively, perhaps the "bunch of red text" is an informative error message - even if you don't understand it perhaps posting it here would allow someone else to interpret it and help you?

Tyrov
Posts: 6
Joined: Wed Mar 01, 2017 8:29 am

Re: Matplotlib installation problems.

Fri Apr 13, 2018 10:04 am

The errors when using the pip 3 command are,

Code: Select all

Collecting matplotlib
Exception:
Traceback (most recent call last):
  File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 594, in urlopen
    chunked=chunked)
  File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 391, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 387, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse
    response.begin()
  File "/usr/lib/python3.5/http/client.py", line 297, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.5/http/client.py", line 266, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 353, in run
    wb.build(autobuilding=True)
  File "/usr/lib/python3/dist-packages/pip/wheel.py", line 749, in build
    self.requirement_set.prepare_files(self.finder)
  File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 620, in _prepare_file
    session=self.session, hashes=hashes)
  File "/usr/lib/python3/dist-packages/pip/download.py", line 821, in unpack_url
    hashes=hashes
  File "/usr/lib/python3/dist-packages/pip/download.py", line 659, in unpack_http_url
    hashes)
  File "/usr/lib/python3/dist-packages/pip/download.py", line 853, in _download_http_url
    stream=True,
  File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 501, in get
    return self.request('GET', url, **kwargs)
  File "/usr/lib/python3/dist-packages/pip/download.py", line 386, in request
    return super(PipSession, self).request(method, url, *args, **kwargs)
  File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 488, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 609, in send
    r = adapter.send(request, **kwargs)
  File "/usr/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/adapter.py", line 47, in send
    resp = super(CacheControlAdapter, self).send(request, **kw)
  File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/adapters.py", line 423, in send
    timeout=timeout
  File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 643, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/retry.py", line 315, in increment
    total -= 1
TypeError: unsupported operand type(s) for -=: 'Retry' and 'int'

robbes
Posts: 144
Joined: Sun Jan 20, 2013 7:11 pm
Location: Canada - off the west coast

Re: Matplotlib installation problems.

Fri Apr 13, 2018 7:29 pm

I just took a look at a Raspberry 3 B running stretch, with matplotlib installed some months ago. Looking through .bash_history, it appears to have been installed with

Code: Select all

sudo apt install python3-matplotlib
, so the package should be available to you. Today I tried

Code: Select all

sudo apt install --only-upgrade python3-matplotlib
, also successfully, so everything seems OK there.

Since apt should also install all the required dependencies, this route is preferable to using pip.
By now you may have a bad combination of matplotlib versions and dependencies. I think you should purge all the matplotlib files (particularly ~/.config/matplotlib/matplotlibrc ) and try again.

Tyrov
Posts: 6
Joined: Wed Mar 01, 2017 8:29 am

Re: Matplotlib installation problems.

Sat Apr 14, 2018 4:44 am

robbes wrote:
Fri Apr 13, 2018 7:29 pm
I just took a look at a Raspberry 3 B running stretch, with matplotlib installed some months ago. Looking through .bash_history, it appears to have been installed with

Code: Select all

sudo apt install python3-matplotlib
, so the package should be available to you. Today I tried

Code: Select all

sudo apt install --only-upgrade python3-matplotlib
, also successfully, so everything seems OK there.

Since apt should also install all the required dependencies, this route is preferable to using pip.
By now you may have a bad combination of matplotlib versions and dependencies. I think you should purge all the matplotlib files (particularly ~/.config/matplotlib/matplotlibrc ) and try again.
Thank you.

I purged and reinstalled and it installed properly.

Return to “General discussion”